Bug 14171 - vfs_fruit returns capped resource fork length
vfs_fruit returns capped resource fork length
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
https://gitlab.com/samba-team/samba/m...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-25 16:52 UTC by Ralph Böhme
Modified: 2020-02-18 15:46 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.10 and 4.11 backported from master (10.10 KB, patch)
2019-11-07 14:32 UTC, Ralph Böhme
slow: review? (metze)
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2019-10-25 16:52:11 UTC
This is a regression introduced by a change for bug 13968.

Have fix, need bugnumber.
Comment 2 Ralph Böhme 2019-11-07 14:32:15 UTC
Created attachment 15607 [details]
Patch for 4.10 and 4.11 backported from master
Comment 3 Jeremy Allison 2019-11-08 00:51:13 UTC
Re-assigning to Karolin for inclusion in 4.11.next, 4.10.next.
Comment 4 Karolin Seeger 2019-11-08 09:06:37 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-{11,10}-test.
Comment 5 Karolin Seeger 2019-11-13 07:39:08 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!
Comment 6 cwseys 2020-01-02 15:13:23 UTC
Hi,
  I don't see a mention of bug 14171 in the changelog for 4.10 .  Did it make it in to 4.10.11 ?

"This fixes a regression introduced by bdc257a1cbac7e8c73a084b618ba642476807483 for bug 13968."

Also, does "regression" in this case mean that vfs_fruit works less well in 4.9.10 than in 4.9.9?  (A fix for Bug 13968 first appears in 4.9.10 .)

Thanks!
Chad.
Comment 7 cwseys 2020-02-18 15:36:33 UTC
backported to 4.10.12
Comment 8 cwseys 2020-02-18 15:46:00 UTC
oops, I mean backported to 4.10.13